View all purchased policies - Admin-only
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/policies/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://dev.superpool.unyte.africa/api/v1/policies/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://dev.superpool.unyte.africa/api/v1/policies/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_number": "<string>",
"effective_from": "2023-12-25",
"effective_through": "2023-12-25",
"premium": "<string>",
"policy_holder": {
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"customer_email": "jsmith@example.com",
"customer_phone": "<string>"
},
"merchant": "<string>",
"provider": {
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_name": "<string>",
"email": "jsmith@example.com"
},
"coverage": "<string>",
"policy_type": "<string>",
"renewable": true,
"renewal_date": "2023-11-07T05:31:56Z",
"inspection_required": true,
"cerfication_required": true,
"cancellation_initiator": "<string>",
"cancellation_reason": "<string>",
"cancellation_date": "2023-11-07T05:31:56Z",
"beneficiaries": [
{
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary_name": "<string>"
}
]
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Policies
View all purchased policies admin only
GET
/
api
/
v1
/
policies
/
View all purchased policies - Admin-only
Authorizations
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
⌘I
